@import "description.scss";

.video {
  background-color: $color-gray-bgc-2;

  &__container {
    @include content;
    padding: 100px 0;

    @include tablet {
      padding: 60px 0;
    }

    @include mobile {
      padding: 40px 20px;
    }
  }

  &__title {
    @include h2;
    margin-bottom: 60px;

    @include tablet {
      @include tablet_title_text;
    }

    @include mobile {
      font-weight: normal;
      margin-bottom: 30px;
    }
  }

  &__content {
    &__desktop {
      display: flex;
      justify-content: space-between;

      @include tablet {
        display: none;
      }
    }

    &__tablet {
      display: none;
      overflow-x: scroll;
      margin-left: -20px;
      width: calc(100% + 40px);
      padding-left: 20px;

      @include tablet {
        display: flex;
        justify-content: space-between;
      }

      & > *:last-child {
        padding-right: 20px;
      }
    }
  }

  &__item {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__container {
      width: 358px;
      height: 201px;
      border-radius: 10px;
      border: 1px solid $color-border;
      background-color: #fff;
      margin-bottom: 30px;
      position: relative;
      outline: none;

      @include desktop-small {
        width: 313px;
        height: 175px;
      }

      @include tablet {
        width: 441px;
        height: 247px;
      }

      @include mobile {
        width: 315px;
        height: 176px;
      }

      @include mobile-small {
        width: 260px;
        height: 146px;
      }
    }

    &__play {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      background-image: url("/next-public-fast/images/kasko/video/play.svg");
      width: 60px;
      height: 60px;
      cursor: pointer;
      transition: opacity 0.25s ease-out;
      z-index: 1;

      &:hover {
        opacity: 0.7;
      }
    }

    &__image {
        height: 100%;
        width: 100%;
        margin: 0 auto;
        border-radius: 10px;
    }

    &__title {
      @include middle_title;
      line-height: 28px;
      text-align: center;

      @include mobile {
        @include medium_description;
        font-weight: 400;
      }
    }

    @include tablet {
      & + & {
        margin-left: 20px;
      }
    }
  }
}

.popup__video {
  width: 100%;
  border-radius: 10px;
  outline: none;
  position: relative;
}
